Bug 47094 - appcenter cache permissions break appliance first steps overlay
appcenter cache permissions break appliance first steps overlay
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Felix Botner
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-28 13:49 CEST by Felix Botner
Modified: 2018-06-06 16:16 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.171
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2018-05-28 13:49:40 CEST
the overlay needs access to these files

ls -al /var/www/univention/js/umc/hooks/appliance_readme_*
lrwxrwxrwx 1 root root 114 May 25 12:15 /var/www/univention/js/umc/hooks/appliance_readme_de -> /var/cache/univention-appcenter/appcenter.software-univention.de/4.2/mattermost_20180517091034.README_APPLIANCE_DE
lrwxrwxrwx 1 root root 114 May 25 12:15 /var/www/univention/js/umc/hooks/appliance_readme_en -> /var/cache/univention-appcenter/appcenter.software-univention.de/4.2/mattermost_20180517091034.README_APPLIANCE_EN

but some permissions prevent apache from accessing these files

-> ls -la /var/cache/univention-appcenter/appcenter.software-univention.de/
total 332
drwxr-xr-x 5 root root   4096 May 25 11:52 .
drwxr-xr-x 3 root root   4096 May 25 11:52 ..
drw-rw-r-- 2 root root 176128 May 28 12:42 4.1
drw-rw-r-- 2 root root 114688 May 28 12:42 4.2
drw-rw-r-- 2 root root  20480 May 28 12:50 4.3

(x is needed for www-data, apache)
Comment 1 Felix Botner univentionstaff 2018-05-28 15:02:53 CEST
fixed in univention-appcenter ad231ea0c749dcdcf7d9b79ac0010cc919905022

additionally we fix /usr/bin/update_mirror.sh which broke the permissions in the first place
Comment 2 Dirk Wiesenthal univentionstaff 2018-05-31 06:36:14 CEST
OK, works.
Comment 3 Erik Damrose univentionstaff 2018-06-06 16:16:44 CEST
<http://errata.software-univention.de/ucs/4.3/91.html>